/*
Theme Name: DP Apollo Child
Theme URI: https://www.doppelpack.com
Author: Timon Scheibner | Doppelpack Werbeagentur GmbH
Author URI: https://www.doppelpack.com
Template: dp-apollo
Description: Child theme for DP Apollo
Version: 3.0.0
*/

/* roboto-regular - latin */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  src: url('./assets/fonts/roboto-v30-latin-regular.eot'); /* IE9 Compat Modes */
  src: local(''),
       url('./assets/fonts/roboto-v30-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('./assets/fonts/roboto-v30-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
       url('./assets/fonts/roboto-v30-latin-regular.woff') format('woff'), /* Modern Browsers */
       url('./assets/fonts/roboto-v30-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
       url('./assets/fonts/roboto-v30-latin-regular.svg#Roboto') format('svg'); /* Legacy iOS */
}


/* ============================================================= */
/* Base
/* ============================================================= */

h1,
h2,
h3,
h4,
h5,
h6 {
	font-family: 'Adam', sans-serif !important;
    margin-top: 1em;
    margin-bottom: 0.5em;
}

p {
    margin-top: 1em;
    margin-bottom: 1em;
}

b {
	font-family: 'Adam', sans-serif !important;
}

blockquote p {
	margin-bottom: 0;
}

.wp-block-image.aligncenter {
	display: block !important;
    text-align: center !important;
}

/* ============================================================= */
/* Helper Classes
/* ============================================================= */


/* ============================================================= */
/* Site Header
/* ============================================================= */


/* ============================================================= */
/* Entry Header
/* ============================================================= */


/* ============================================================= */
/* Entry Content
/* ============================================================= */

.frm_forms .frm_required {
    color: #ffffff;
}

.frm_forms .frm_checkbox label a {
    color: #ffffff !important;
}

.frm_message p {
	text-align: center;
}

.grecaptcha-badge {
    display: none;
}

#scroll-to-top svg {
	width: 100%;
	height: auto;
}

#scroll-to-top svg path {
    fill: #A4957D !important;
}

#scroll-to-top:hover svg path {
	fill: #ffffff !important;
}


/* ============================================================= */
/* Gutenberg Blocks
/* ============================================================= */

.is-style-outline > .wp-block-button__link:not(.has-text-color),
.wp-block-button__link.is-style-outline:not(.has-text-color) {
    color: var(--wp--preset--color--primary, #f44e1e);
}

/*
* Search and File Block button styles.
* Necessary until the following issues are resolved in Gutenberg:
* https://github.com/WordPress/gutenberg/issues/36444
* https://github.com/WordPress/gutenberg/issues/27760
*/

.wp-block-search__button,
.wp-block-file .wp-block-file__button {
    background-color: var(--wp--preset--color--primary, #f44e1e);
    border-radius: 0;
    border: none;
    color: #ffffff;
    font-size: 1em;
    padding: 0.6em 1.2em;
}

/*
 * Button hover styles.
 * Necessary until the following issue is resolved in Gutenberg:
 * https://github.com/WordPress/gutenberg/issues/27075
 */

.wp-block-button__link:hover,
.wp-block-search__button:hover,
.wp-block-file .wp-block-file__button:hover {
    opacity: 0.90;
    cursor: pointer;
}



/* Media Text
 * Breakpoint-Fix for Media Text Block
 * ------------------------------------------------------------- */

@media (max-width: 767px) {

    .wp-block-media-text,
    .wp-block-media-text.has-media-on-the-right {
        -ms-grid-columns: 1fr;
        grid-template-columns: 1fr;
    }

    .wp-block-media-text.is-stacked-on-mobile.has-media-on-the-right .wp-block-media-text__media {
        -ms-grid-column: 1;
        grid-column: 1;
        -ms-grid-row: 1;
        grid-row: 1;
    }

    .wp-block-media-text.is-stacked-on-mobile .wp-block-media-text__content,
    .wp-block-media-text.is-stacked-on-mobile.has-media-on-the-right .wp-block-media-text__content {
        -ms-grid-column: 1;
        grid-column: 1;
        -ms-grid-row: 2;
        grid-row: 2;
    }

}


/* ============================================================= */
/* Entry Footer
/* ============================================================= */


/* ============================================================= */
/* Post Navigation
/* ============================================================= */


/* ============================================================= */
/* Site Footer
/* ============================================================= */

#site-footer {
    -webkit-box-shadow: 0 -3px 3px rgb(0 0 0 / 10%);
    box-shadow: 0 -3px 3px rgb(0 0 0 / 10%);
}

#site-footer .row {
    -webkit-box-align: end;
    -ms-flex-align: end;
    align-items: flex-end;
}

#site-footer .row p {
    margin-top: 0;
}

#site-footer .row a {
    text-decoration: none;
}

#footer-1,
#footer-2,
#footer-4 {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

#footer-1 p,
#footer-2 p,
#footer-4 p  {
    text-align: center;
}

.footer-logo-wrapper {
    margin-top: 10px;
}


/* ============================================================= */
/* Archives
/* ============================================================= */


/* ============================================================= */
/* Numeric Post Navigation
/* ============================================================= */


/* ============================================================= */
/* Featherlight Lightbox
/* ============================================================= */

.featherlight {
    cursor: pointer;
}

[data-featherlight] img {
    cursor: pointer;
}

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {

}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {

}


/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {

    /* ============================================================= */
    /* Site Footer
    /* ============================================================= */

    #footer-1 p {
        text-align: left;
    }

    #footer-4 p {
        text-align: right;
    }

}


/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {

    /* ============================================================= */
    /* Site Footer
    /* ============================================================= */

    #footer-1 {
        -webkit-box-pack: start;
        -ms-flex-pack: start;
        justify-content: flex-start;
    }

    #footer-4 {
        -webkit-box-pack: end;
        -ms-flex-pack: end;
        justify-content: flex-end;
    }


}